Skip to main content

Get all repayments

GET 

/repayments

Retrieves repayment schedules.

note

Please Note Repayments with the state Paid are not returned by the /api/repayments endpoint. The are, however, returned on the loan account level when using the endpoint /api/loans/{id}/repayments.

Repayment states

PAIDThe repayment has been paid – not returned by this endpoint.
PARTIALLY_PAIDThe repayment was only paid partially.
PENDINGThe repayment has not been paid yet (future repayments).
LATEThe repayment has not been paid and its due date has already passed.
GRACEThis repayment is part of a grace period.
RESCHEDULEDThe repayment balances have been rescheduled into other repayments.

Parameters

dueFromStarting due date to filter repayments on (YYYY-MM-DD)
dueToEnd due date to filter repayment on (YYYY-MM-DD)

Request

Responses

ok